/*
								+--------------------------------+
								|                                |
								| ***  Inline min/max funcs  *** |
								|                                |
								|  Copyright  -tHE SWINe- 2008  |
								|                                |
								|            MinMax.h            |
								|                                |
								+--------------------------------+
*/

#ifndef __INLINED_MIN_MAX_TEMPLATES_INCLUDED
#define __INLINED_MIN_MAX_TEMPLATES_INCLUDED

/*
 *								=== inlined min, max ===
 */

#ifdef min
#undef min
#endif
#ifdef max
#undef max
#endif

template <class _Ty>
static inline _Ty min(_Ty a, _Ty b)
{
	return (a > b)? b : a;
}

template <class _Ty>
static inline _Ty max(_Ty a, _Ty b)
{
	return (a > b)? a : b;
}

/*
 *								=== ~inlined min, max ===
 */

#endif //__INLINED_MIN_MAX_TEMPLATES_INCLUDED
